# Events

| Event name                | Event description                                                                                                                                                                         |
| ------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1 Bye                     | Bye run                                                                                                                                                                                   |
| 1 Leg Bye                 | Leg Bye runs                                                                                                                                                                              |
| 1 No Ball                 | No Ball                                                                                                                                                                                   |
| 1 No Ball + 1 runs        | 1 No Ball runs + 1 Runs                                                                                                                                                                   |
| 1 Wide                    | Wide Ball                                                                                                                                                                                 |
| 5 Wide                    | 5 Wide Ball runs                                                                                                                                                                          |
| 1 runs                    | 1 Runs for batsman                                                                                                                                                                        |
| 2 runs                    | 2 Runs for batsman                                                                                                                                                                        |
| Four                      | 4 Runs for batsman                                                                                                                                                                        |
| Six                       | 6 Runs for batsman                                                                                                                                                                        |
| 5 Penalty                 | 5 Runs given to batting team as Penalty                                                                                                                                                   |
| Clean Bowled              | Ball hits and dislodges the stumps                                                                                                                                                        |
| LBW OUT                   | An LBW decision is awarded when the ball is likely to hit the stumps, but it strikes any part of the striker’s body (most often the pads on the legs) before making contact with the bat. |
| Catch Out                 | Player out ball catch by player                                                                                                                                                           |
| Catch Out (Sub)           | Player out ball catch by subs player                                                                                                                                                      |
| Stump Out                 | Player out for outside the line                                                                                                                                                           |
| Run Out                   | Player out before complete the run                                                                                                                                                        |
| Run Out + 1               | Player out after complete the 1 run                                                                                                                                                       |
| Run Out + 2               | Player out after complete the 2 run                                                                                                                                                       |
| Run Out (Subs)            | The player is out before completing the run by a substitute player                                                                                                                        |
| Retired Hurt              | Player leaving the ground due to injury                                                                                                                                                   |
| Retired Out               | Player out without any reason                                                                                                                                                             |
| Hit Wicket                | Player out bat/foot... hit the wicket                                                                                                                                                     |
| Absent                    | Player not entering the field due of any reason                                                                                                                                           |
| Absent Hurt               | Player not entering the field due to injury                                                                                                                                               |
| Obstructing the field Out | Batsman out for intentionally obstructing or distracting the fielding team                                                                                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
